
    nomainwin

    dim clickable(5100,4)

    loadbmp "bm1","E:\DOWNLO~1\MAPPER\TITLE.BMP"
    loadbmp "bm2","E:\DOWNLO~1\MAPPER\TITLE2.BMP"
    loadbmp "bm3","E:\DOWNLO~1\MAPPER\PERSONAL.BMP"
    loadbmp "bm4","E:\DOWNLO~1\MAPPER\INCOME.BMP"
    loadbmp "bm5","E:\DOWNLO~1\MAPPER\DEDUCT.BMP"
    loadbmp "bm6","E:\DOWNLO~1\MAPPER\FILE.BMP"
    loadbmp "bm7","E:\DOWNLO~1\MAPPER\EXIT.BMP"

    WindowWidth = 640
    WindowHeight = 480
    UpperLeftX = 1
    UpperLeftY = 1
    graphicbox #main.gb, 0, 0, 640, 460

    open "Liberated Tax (example operator interface)" for window as #main

    print #main.gb, "fill black"
    print #main.gb, "fill black"
    print #main.gb, "flush;"

    rem Set up clickable map coordinates
    maps = 5
    print #main, "trapclose [quit]"

    ' Coordinates for area that branches to [personal]
    clickable(1,1) = 326: rem X location
    clickable(1,2) = 61: rem Y location
    clickable(1,3) = 259: rem Width
    clickable(1,4) = 41: rem Height
    ' Coordinates for area that branches to [income]
    clickable(2,1) = 340: rem X location
    clickable(2,2) = 120: rem Y location
    clickable(2,3) = 95: rem Width
    clickable(2,4) = 27: rem Height
    ' Coordinates for area that branches to [deductions]
    clickable(3,1) = 354: rem X location
    clickable(3,2) = 166: rem Y location
    clickable(3,3) = 145: rem Width
    clickable(3,4) = 41: rem Height
    ' Coordinates for area that branches to [file]
    clickable(4,1) = 374: rem X location
    clickable(4,2) = 231: rem Y location
    clickable(4,3) = 214: rem Width
    clickable(4,4) = 39: rem Height
    ' Coordinates for area that branches to [exit]
    clickable(5,1) = 514: rem X location
    clickable(5,2) = 370: rem Y location
    clickable(5,3) = 62: rem Width
    clickable(5,4) = 34: rem Height

    print #main.gb, "drawbmp bm1 -2 -2;"
    print #main.gb, "drawbmp bm2 1 363;"
    print #main.gb, "drawbmp bm3 322 60;"
    print #main.gb, "drawbmp bm4 340 120;"
    print #main.gb, "drawbmp bm5 353 167;"
    print #main.gb, "drawbmp bm6 370 230;"
    print #main.gb, "drawbmp bm7 512 369;"
    print #main.gb, "flush;"
    print #main.gb, "when leftButtonDown [leftButtonClicked]"
    print #main.gb, "when mouseMove [mouseMoved]"

[inputLoop]
    wait

[leftButtonClicked]
    clicked = checkMap(MouseX,MouseY,maps)
        if clicked = 1 then [personal]
        if clicked = 2 then [income]
        if clicked = 3 then [deductions]
        if clicked = 4 then [file]
        if clicked = 5 then [exit]
    goto [inputLoop]
[mouseMoved]
    print #main.gb, "when mouseMove;"
    overed = checkMap(MouseX,MouseY,maps)
        if overed = 1 and currentMouseOver <> 1 then goto [showPersonal]
        if overed = 2 and currentMouseOver <> 2 then goto [showIncome]
        if overed = 3 and currentMouseOver <> 3 then goto [showDeductions]
        if overed = 4 and currentMouseOver <> 4 then goto [showFile]
        if overed = 5 and currentMouseOver <> 5 then goto [showExit]
        if overed = 0 and currentMouseOver <> 0 then currentMouseOver = 0:_
                print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 640 355;"

    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]

[personal]
    ' Whatever happens for clicking on area 1
    notice "[personal] clicked"
    goto [inputLoop]

[income]
    ' Whatever happens for clicking on area 2
    notice "[income] clicked"
    goto [inputLoop]

[deductions]
    ' Whatever happens for clicking on area 3
    notice "[deductions] clicked"
    goto [inputLoop]

[file]
    ' Whatever happens for clicking on area 4
    notice "[file] clicked"
    goto [inputLoop]

[exit]
    ' Whatever happens for clicking on area 5
    notice "[exit] clicked"
    goto [quit]

[showPersonal]
    currentMouseOver = 1
    print #main.gb, "when mouseMove;"
        ' Whatever happens when mouse moves over area 1
        print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 640 355;"
        print #main.gb, "place 50 350;down;color yellow;backcolor black;\Enter your name, address and other personal information"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[showIncome]
    currentMouseOver = 2
    print #main.gb, "when mouseMove;"
        ' Whatever happens when mouse moves over area 2
        print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 800 355;"
        print #main.gb, "place 50 350;down;color yellow;backcolor black;\Add your annual income (W-2, 1099, etc.)"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[showDeductions]
    currentMouseOver = 3
    print #main.gb, "when mouseMove;"
        ' Whatever happens when mouse moves over area 3
        print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 800 355;"
        print #main.gb, "place 50 350;down;color yellow;backcolor black;\List any deductions for the year"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[showFile]
    currentMouseOver = 4
    print #main.gb, "when mouseMove;"
        ' Whatever happens when mouse moves over area 4
        print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 800 355;"
        print #main.gb, "place 50 350;down;color yellow;backcolor black;\Electronically file your return"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[showExit]
    currentMouseOver = 5
    print #main.gb, "when mouseMove;"
        ' Whatever happens when mouse moves over area 5
        print #main.gb, "place 50 325;down;color black;backcolor black;boxfilled 800 355;"
        print #main.gb, "place 50 350;down;color yellow;backcolor black;\Quit Liberated Tax"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[quit]
    close #main
    end

function checkMap(MouseX,MouseY,maps)
   for check = 1 to maps
     if MouseX > clickable(check,1) and_
       MouseX < clickable(check,1)+clickable(check,3) and_
       MouseY > clickable(check,2) and_
       MouseY < clickable(check,2)+clickable(check,4) then_
       checkMap = check:check = maps + 1
   next check
end function

