'Created with Mapper v. 1.0

    mapperVersion$ = "Mapper 1.0"
    nomainwin

    dim clickable(3100,4)

    loadbmp "bm1","WELC1.BMP"
    loadbmp "bm2","WELCHELP.BMP"
    loadbmp "bm3","WELCABOU.BMP"
    loadbmp "bm4","WELCGO.BMP"

    WindowWidth = 400
    WindowHeight = 400
    UpperLeftX = DisplayWidth/2 - 200
    UpperLeftY = DisplayHeight/2 - 220
    graphicbox #main.gb, 0, 0, 400, 400

    open "Window" for window_popup as #main

    print #main.gb, "fill buttonface"
    print #main.gb, "flush;"

    rem Set up clickable map coordinates
    maps = 3
    print #main, "trapclose [quit]"

    rem Coordinates for area that branches to [help]
    clickable(1,1) = 44: rem X location
    clickable(1,2) = 289: rem Y location
    clickable(1,3) = 63: rem Width
    clickable(1,4) = 98: rem Height
    rem Coordinates for area that branches to [about]
    clickable(2,1) = 125: rem X location
    clickable(2,2) = 270: rem Y location
    clickable(2,3) = 137: rem Width
    clickable(2,4) = 114: rem Height
    rem Coordinates for area that branches to [go]
    clickable(3,1) = 272: rem X location
    clickable(3,2) = 271: rem Y location
    clickable(3,3) = 95: rem Width
    clickable(3,4) = 125: rem Height

    print #main.gb, "drawbmp bm1 0 0;"
    print #main.gb, "flush;"
    print #main.gb, "when leftButtonDown [leftButtonClicked]"
    print #main.gb, "when mouseMove [mouseMoved]"

[inputLoop]
    wait

[leftButtonClicked]
    clicked = checkMap(MouseX,MouseY,maps)
        if clicked = 1 then [help]
        if clicked = 2 then [about]
        if clicked = 3 then [go]
    goto [inputLoop]
[mouseMoved]
    print #main.gb, "when mouseMove;"
    overed = checkMap(MouseX,MouseY,maps)
        if overed = 1 and currentMouseOver <> 1 then goto [mouseOverHelp]
        if overed = 2 and currentMouseOver <> 2 then goto [mouseOverAbout]
        if overed = 3 and currentMouseOver <> 3 then goto [mouseOverGo]
        if overed = 0 and currentMouseOver <> 0 then currentMouseOver = 0: print #main.gb, "redraw"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]

[help]
    rem Whatever happens for clicking on area 1
    open "Help" for text_fs as #help
    print #help, "Thanks for trying Mapper for Liberty BASIC."
    print #help, ""
    print #help, "Mapper was created originally by David Drake (drake@apexmail.com)"
    print #help, "and is free for all to abuse.  See the following stuff."
    print #help, ""
    print #help, "------------------------------------------------------------------"
    print #help, "*Copyleft and Disclaimer:"
    print #help, ""
    print #help, "    The images that come as part of the mapper.zip file may not be"
    print #help, "redistributed (not that anyone would want to) for any reason.  However, the source"
    print #help, "code for Mapper is hereby released into the public domain.  Anyone may use, copy,"
    print #help, "alter, sell, bend, fold, staple or mutilate the source code as they see fit.  The"
    print #help, "author does not have to be given any credit.  Got it?"
    print #help, ""
    print #help, "     Also, if this breaks your computer, it ain't my fault.  I tested"
    print #help, "it to the best of my ability."
    print #help, "------------------------------------------------------------------"
    print #help, ""
    print #help, "*What is Mapper?"
    print #help, ""
    print #help, "    Mapper allows a user to place any number of bitmap images on the"
    print #help, "pallette and then map those images to respond to mouse clicks or mouse-overs."
    print #help, "In Mapper the user may add, drag around or delete images.  One may also add,"
    print #help, "drag around, resize and delete mapped regions."
    print #help, ""
    print #help, "    Finally, Mapper generates a skeleton code program in Liberty BASIC "
    print #help, "for the user to paste into their program or use as the outline for a new program."
    print #help, ""
    print #help, "    A note:  The interactive splash screen and the toolbar for Mapper"
    print #help, "were created with the help of... Mapper, of course.  Mapper comes with some map"
    print #help, "files.  Welcome.lbm is the map file for the splash screen."
    print #help, ""
    print #help, "*How do I use Mapper?"
    print #help, ""
    print #help, "    Load the mapper.bas source code and run from within Libery BASIC"
    print #help, "editor.  Unregistered shareware users can run mapper.tkn from within"
    print #help, "the editor."
    print #help, ""
    print #help, "*Functions"
    print #help, ""
    print #help, "    If you are unsure about what a button does (please forgive the"
    print #help, "odd buttons), simply mouse over the button and watch the tooltip region."
    print #help, ""
    print #help, "*Images"
    print #help, ""
    print #help, "    *Add images to the pallete by clicking on the Image button or by"
    print #help, "selecting File and Add Bitmap from the menu.  THIS MUST BE A BITMAP. The bitmap"
    print #help, "will be placed in the upper left-hand corner of the pallette.  You may add as"
    print #help, "many images as you want, and there's no limit on the pixel size."
    print #help, ""
    print #help, "    *Move the image simply by clicking on it and dragging it to a new "
    print #help, "location.  The images are drawn in the order added.  In other words, the last"
    print #help, "image you add will always be drawn on top."
    print #help, ""
    print #help, "*Maps"
    print #help, ""
    print #help, "    *Add a map to part of the pallette by clicking on the New Map"
    print #help, "button or selection Map and New Map from the menu.  Then click and drag the"
    print #help, "rectangular map on the pallette.  This region may be drawn anywhere on the"
    print #help, "pallette, regardless of whether an image is present."
    print #help, ""
    print #help, "    *Move the map by clicking on it and dragging it to a new location."
    print #help, ""
    print #help, "    *Resize a map by clicking on the handle in the lower right-hand"
    print #help, "corner of the map and dragging the map to its new dimensions."
    print #help, ""
    print #help, "   Maps are drawn like images, with the last added map on top."
    print #help, ""
    print #help, "    *A note about maps:  While Mapper allows the user to overlap mapped"
    print #help, "areas, this is bad practice and may produce unpredicable results."
    print #help, ""
    print #help, "*On-Click Branch Labels"
    print #help, ""
    print #help, "    After a map is added, the program will ask for a branch label."
    print #help, "This branch label is the label to which the new program will branch when the"
    print #help, "user clicks on the mapped region.  You may change this branch label later by"
    print #help, "double-clicking on the map."
    print #help, ""
    print #help, "*On-Mouseover Branch Labels"
    print #help, ""
    print #help, "    The on-mouseover branch label is the label to which the program"
    print #help, "will branch when the user moves his mouse over the mapped region.  To enable"
    print #help, "this, double-click on the map, select the >On mouseover goto< checkbox and type"
    print #help, "in a branch label.  If the checkbox is not selected, there will be no mouseover"
    print #help, "event associated with the map (default setting)."
    print #help, ""
    print #help, "*Show/Hide Branch Labels"
    print #help, ""
    print #help, "    The on-click branch label for a map appears in the upper"
    print #help, "left-hand corner of the map.  For small regions, these get in the way.  You"
    print #help, "may toggle the branch labels off and on by clicking on the Show/Hide"
    print #help, "Branchlabels button or by selecting Options and Show/Hide Branchlabels from"
    print #help, "the menu."
    print #help, ""
    print #help, "*Deleting Objects"
    print #help, ""
    print #help, "    The user may delete a map or an image by clicking the Delete"
    print #help, "button and selecting a map or image.  Maps are always on top, so to delete"
    print #help, "an image under a map, first drag the map out of the way, then delete the image."
    print #help, ""
    print #help, "*Opening/Saving Map Files"
    print #help, ""
    print #help, "    You may save your work by clicking on the Save Map File button"
    print #help, "or by selecting File and Save from the menu.  Map files have the extention"
    print #help, "*.lbm by default.  Open thes files later by clicking the Open map file button"
    print #help, "or by selecting File and Open from the menu."
    print #help, ""
    print #help, "*New File"
    print #help, ""
    print #help, "    You may clear the pallette and start fresh by clicking on the"
    print #help, "New File button or by selecting File and New from the menu."
    print #help, ""
    print #help, "*Produce Code"
    print #help, ""
    print #help, "    Mapper will create a window with an outline of a functioning"
    print #help, "program, complete with all the code needed to make your interface work.  Copy"
    print #help, "and paste the code as you wish.  Simply fill in your code under the on-click"
    print #help, "and on-mouseover branchlabels.  Choose your branch labels right, and you could"
    print #help, "create a very snazzy front-end for an existing program."
    print #help, ""
    print #help, "*Exiting"
    print #help, ""
    print #help, "    To quit Mapper select File and Exit from the menu or simply"
    print #help, "close the window."

    print #help, "!trapclose [closeHelp]"
helpOpen = 1
    goto [inputLoop]

[closeHelp]
    helpOpen = 0
    close #help
    goto [inputLoop]

[about]
    rem Whatever happens for clicking on area 2
    notice "About..."+chr$(13)+mapperVersion$+chr$(13)+"Open Source Software"+chr$(13)+_
            "by David Drake (drake@apexmail.com)"+chr$(13)+chr$(13)+"January, 2001"
    goto [inputLoop]

[go]
    rem Whatever happens for clicking on area 3
    goto [quit]
    goto [inputLoop]

[mouseOverHelp]
    currentMouseOver = 1
    print #main.gb, "when mouseMove;"
    print #main.gb, "drawbmp bm2 43 287;"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[mouseOverAbout]
    currentMouseOver = 2
    print #main.gb, "when mouseMove;"
    print #main.gb, "drawbmp bm3 124 268;"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[mouseOverGo]
    currentMouseOver = 3
    print #main.gb, "when mouseMove;"
    print #main.gb, "drawbmp bm4 263 266;"
    print #main.gb, "when mouseMove [mouseMoved];"
    goto [inputLoop]


[quit]
    if helpOpen = 1 then close #help
    close #main
    end

function checkMap(MouseX,MouseY,maps)
   for check = 1 to maps
     if MouseX > clickable(check,1) and_
       MouseX < clickable(check,1)+clickable(check,3) and_
       MouseY > clickable(check,2) and_
       MouseY < clickable(check,2)+clickable(check,4) then_
       checkMap = check:check = maps + 1
   next check
end function

